/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2017 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/costallocation-view.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/costallocation-view.xml',
'<View showSubmit="false" title="{message.XXAS_COST_VIEW_TITLE}" >
  <EditFields>
  
    <Hidden id="TRANSACTION_ID"/>
    <Hidden id="PERSON_ID"/>
    <Hidden id="ASSIGNMENT_ID"/>

	<ListItem id="APPROVERS" label="Approvers" style="row" listFunction="xxas_cost_allocation_pkg.get_cost_allocations_details" visible="true" />
    
    <MultiRow id="REVIEW_DETAILS" createAllowed="false" visible="true" includeEmptyRow="false" xdbUri="/public/xxas/emp/view/ca-review-fields.xml" />
  </EditFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/costallocation-view.xml');
END;
/
COMMIT;
EXIT;